## CLOSE Statement (close_statement)

The CLOSE statement (close_statement) deletes a result table.

### Syntax

<close_statement> ::= CLOSE [<result_table_name>]

### Explanation

· If the name of a result table is specified, this result table is deleted. This name can be used to denote another result table.

· If no result table name is specified, an existing unnamed result table is deleted.

An unnamed result table is implicitly deleted by the next SELECT statement.

Result tables are implicitly deleted when a result table with the same name is generated.

All result tables generated within the current transaction are implicitly deleted at the end of the transaction using the ROLLBACK statement.

All result tables are implicitly deleted at the end of the session using the RELEASE statement.